package config

import (
	"os"

	"github.com/spf13/viper"
)

const (
	// Version roughly represents the applications current version.
	Version = "0.0"
	// Title is the name of the application used throughout the configuration process.
	Title = "PTY"
)

var (
	// GenConfig when toggled causes we to write its default config to the cwd and then exit.
	GenConfig = false
	// NoColor when true will disable the banner and any colored console output.
	NoColor bool
)

// "ssh"
var (
	// BindAddr is defined via our toml configuration file. It is the address that we listen on.
	BindAddr string
	// BindPort is defined via our toml configuration file. It is the port that we listen on.
	BindPort  int
	AllowAnon bool
	// KeyPath is where we store our RSA keys for the SSH server
	KeyPath    string
	SSHVersion string
)

// "shells"
var (
	ShellPort int
	ShellAddr string
)

var (
	// Filename returns the current location of our toml config file.
	Filename string
)

var (
	f   *os.File
	err error
)

var (
	noColorForce    = false
	customconfig    = false
	configLocations []string
)

var (
	// Debug is our global debug toggle
	Debug    bool
	DataPath string

	prefConfigLocation string
	snek               *viper.Viper
)
